import numpy as np
import serial
import time
from PIL import Image


# create a temp list to store values

samples : int = 0
temps = [[],[],[],[]] 
while samples<4: 

    ser = serial.Serial('com12', 9600, timeout = 0.1)
    time.sleep(0.2)

    print('Place you finger on sensor')

    while (ser.readline().decode() == ""):
        #if print(ser.readline().decode() == ""):
         #   print("No data on serialport")
         time.sleep(0.01)

    print('Please wait while collection data')
    for i in range(25600):
        line = ser.readline()
        if line:
            string = line.decode()
            # num = int(string)
            # print(num, end = ' ')
            temps[samples].append(int(string))

    ser.close()

    # print(temps)

    # Store list into numpy array 
    fp_array = np.array(temps[samples])

    # print(fp_array)

    print( type(fp_array))

    print(len(fp_array))


    # Construct image from data
    w,h = 240, 240

    t=(h,w,3)

    fp_sample=np.zeros(t, dtype=np.uint8)
    for index,value in enumerate(fp_array): 
        a = int( index % 160  )
        b = int( index / 160  )
        fp_sample[a,b] = [40+a, 80+b, int(value)]

    i = Image.fromarray(fp_sample)
    i.show()
    samples += 1
    
